#!/bin/sh
LOG="/_config/update/update.log"
cd /_config/update
UPD="$(find /media -name "g2v_mediaupd.tar.bz2")"
if [ "$UPD" != "" ] ; then
   [ -f g2v_upd.sh ] && rm g2v_upd.sh
   svdrpsend.pl MESG "Installiere Update"
   tar -C / -xjvf $UPD 2>&1 | tee -a $LOG
   [ -f g2v_upd.sh ] && sh g2v_upd.sh 2>&1 | tee -a $LOG
   svdrpsend.pl MESG "Update beendet"
else 
   logger -s "Kein Update gefunden"
   svdrpsend.pl MESG "Kein Update gefunden"
done

